CatalinaCluster (Tomcat API Documentation)
Keywords: org.apache.catalina.cluster.CatalinaCluster interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.cluster
Interface CatalinaCluster

All Superinterfaces:
  Cluster

All Known Implementing Classes:
  SimpleTcpCluster

public interface CatalinaCluster
extends Cluster

A CatalinaCluster interface allows to plug in and out the different cluster implementations

Version:
  $Id: CatalinaCluster.java 939539 2010-04-30 01:31:33Z kkolinko $
Author:
  Filip Hanik

Field Summary
`static java.lang.String` | `info` Descriptive information about this component implementation.

Method Summary
`void` | `addClusterListener(MessageListener listener)`
`void` | `addManager(java.lang.String name, Manager manager)`
`void` | `addValve(Valve valve)`
`ClusterDeployer` | `getClusterDeployer()`
`ClusterReceiver` | `getClusterReceiver()`
`ClusterSender` | `getClusterSender()`
`Member` | `getLocalMember()` Return the member that represents this node.
`org.apache.commons.logging.Log` | `getLogger()` Returns the associates logger with this cluster.
`Manager` | `getManager(java.lang.String name)`
`java.util.Map` | `getManagers()`
`Member[]` | `getMembers()` Returns all the members currently participating in the cluster.
`MembershipService` | `getMembershipService()`
`Valve[]` | `getValves()`
`boolean` | `hasMembers()` Returns that cluster has members.
`void` | `receive(ClusterMessage msg)` receive a message to all the members in the cluster.
`void` | `removeClusterListener(MessageListener listener)`
`void` | `removeManager(java.lang.String name, Manager manager)`
`void` | `send(ClusterMessage msg)` Sends a message to all the members in the cluster
`void` | `send(ClusterMessage msg, Member dest)` Sends a message to a specific member in the cluster.
`void` | `sendClusterDomain(ClusterMessage msg)` Sends a message to a all members at local cluster domain
`void` | `setClusterDeployer(ClusterDeployer deployer)`
`void` | `setClusterReceiver(ClusterReceiver receiver)`
`void` | `setClusterSender(ClusterSender sender)`
`void` | `setMembershipService(MembershipService service)`
`void` | `start()` Start the cluster, the owning container will invoke this
`void` | `stop()` Stops the cluster, the owning container will invoke this

Methods inherited from interface org.apache.catalina.Cluster
`backgroundProcess, createManager, getClusterName, getContainer, getInfo, getProtocol, installContext, setClusterName, setContainer, setProtocol, startContext, stop`

Field Detail

### info

    public static final java.lang.String info

  Descriptive information about this component implementation.

  See Also:
    Constant Field Values

Method Detail

### start

    public void start()
               throws java.lang.Exception

  Start the cluster, the owning container will invoke this

  Throws:
    `java.lang.Exception` - - if failure to start cluster

### stop

    public void stop()
              throws LifecycleException

  Stops the cluster, the owning container will invoke this

  Throws:
    `LifecycleException`

### getLogger

    public org.apache.commons.logging.Log getLogger()

  Returns the associates logger with this cluster.

  Returns:
    Log

### receive

    public void receive(ClusterMessage msg)

  receive a message to all the members in the cluster.

  Parameters:
    `msg` - ClusterMessage

### send

    public void send(ClusterMessage msg)

  Sends a message to all the members in the cluster

  Parameters:
    `msg` - ClusterMessage

### send

    public void send(ClusterMessage msg,
                     Member dest)

  Sends a message to a specific member in the cluster.

  Parameters:
    `msg` - ClusterMessage
    `dest` - Member

### sendClusterDomain

    public void sendClusterDomain(ClusterMessage msg)

  Sends a message to a all members at local cluster domain

  Parameters:
    `msg` - ClusterMessage

### hasMembers

    public boolean hasMembers()

  Returns that cluster has members.

### getMembers

    public Member[] getMembers()

  Returns all the members currently participating in the cluster.

  Returns:
    Member[]

### getLocalMember

    public Member getLocalMember()

  Return the member that represents this node.

  Returns:
    Member

### setClusterSender

    public void setClusterSender(ClusterSender sender)

### getClusterSender

    public ClusterSender getClusterSender()

### setClusterReceiver

    public void setClusterReceiver(ClusterReceiver receiver)

### getClusterReceiver

    public ClusterReceiver getClusterReceiver()

### setMembershipService

    public void setMembershipService(MembershipService service)

### getMembershipService

    public MembershipService getMembershipService()

### addValve

    public void addValve(Valve valve)

### addClusterListener

    public void addClusterListener(MessageListener listener)

### removeClusterListener

    public void removeClusterListener(MessageListener listener)

### setClusterDeployer

    public void setClusterDeployer(ClusterDeployer deployer)

### getClusterDeployer

    public ClusterDeployer getClusterDeployer()

### getManagers

    public java.util.Map getManagers()

  Returns:
    The map of managers

### getManager

    public Manager getManager(java.lang.String name)

### removeManager

    public void removeManager(java.lang.String name,
                              Manager manager)

### addManager

    public void addManager(java.lang.String name,
                           Manager manager)

### getValves

    public Valve[] getValves()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.